Remove User From a Custom Segment
Removes a user from a custom segment. Either email or user_id should be provided in the request; user_id will be preferred if both are provided.
Query Parameters
- Type: integerFormat: int64custom
_segment _id Unique ID of the custom segment from which the user will be removed. This is assigned by Punchh.
- Type: stringemail
Email address of the user
- Type: integerFormat: int64user
_id Unique ID of the user. This is generated by Punchh.
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
Responses
- application/json
Request Example for delete/api2/dashboard/custom_segments/members
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/custom_segments/members?custom_segment_id=1&email=&user_id=1' \
--request DELETE \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Accept: application/json'
{}